pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/security/pam-af

On Thu, Apr 05, 2012 at 04:55:42AM +0000, OBATA Akio wrote:
 > Modified Files:
 >      pkgsrc/security/pam-af: Makefile
 > Log Message:
 > allow to build with skipping harmless warnings.

I am getting this:

./pam_af.c:451:18: error: expected declaration specifiers or '...' before 
string constant

which is on this:


which is because it puts -D_USE_MODULE_ENTRY_ in CFLAGS based on uname
output, but this apparently is wrong for non-native PAM. What's the
right way to fix this?

David A. Holland

Home | Main Index | Thread Index | Old Index